Upload a deployment.
Beta API
The /v1 API contract may change, including breaking changes without compatibility aliases.
/v1/apps/{appId}/deploymentsSend multipart parts in this order: optional meta JSON, required Build Output v3 manifest JSON, and required files tar. If runtime.bundle is present in the manifest, a bundle tar named bundle.tar must be sent last; custom image deployments cannot include a bundle. Supports Idempotency-Key. Corresponds to the ntro deploy command. Only users with a verified email can use this.
Authorization
bearerAuth Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.
In: header
Path Parameters
Header Parameters
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/apps/string/deployments" \ -F files="string" \ -F manifest="{ \"version\": 0 }"{ "deployment": { "appId": "string", "createdAt": "string", "errorCode": "string", "fileCount": 0, "id": "string", "meta": true, "preview": { "capturedAt": "string", "image": { "token": "string", "version": "string" }, "status": "string" }, "readyAt": "string", "redeployOf": "string", "shortId": "string", "status": "string", "target": "string", "totalBytes": 0, "url": "string", "urls": [ "string" ] }}